function classcallback(obj) {
			var Htmltype = obj.responseText;
			Htmltype=Htmltype.split('|');
			document.getElementById("refreshlentext"+Htmltype[0]).style.width = ((Htmltype[1]-1)/Htmltype[2])*100+"%";
			document.getElementById("refreshlentext"+Htmltype[0]).innerHTML = ((Htmltype[1]-1)/Htmltype[2])*100+"%";
			document.getElementById("typepagenum"+Htmltype[0]).innerHTML = Htmltype[2];
			document.getElementById("typepage"+Htmltype[0]).innerHTML = (Htmltype[1]-1);
			if (parseInt(Htmltype[1]) <= parseInt(Htmltype[2]))
			{
			var Url="admin_htmltypeajax.asp?id="+Htmltype[0]+"&page="+Htmltype[1];
			classhtml(Url);
			}
}

function classhtml(Urlx)
{
var ajax=new AJAXRequest({
		url: Urlx,
		method: "GET",
		oncomplete: classcallback,
		charset: "GB2312"
	});
ajax.get();
}

function featurecallback(obj) {
			var Htmlfeature = obj.responseText;
			Htmlfeature=Htmlfeature.split('|');
			document.getElementById("refreshlentext"+Htmlfeature[0]).style.width = ((Htmlfeature[1]-1)/Htmlfeature[2])*100+"%";
			document.getElementById("refreshlentext"+Htmlfeature[0]).innerHTML = ((Htmlfeature[1]-1)/Htmlfeature[2])*100+"%";
			if (parseInt(Htmlfeature[1]) <= parseInt(Htmlfeature[2]))
			{
			document.getElementById("featurepagenum"+Htmlfeature[0]).innerHTML = Htmlfeature[2];
			document.getElementById("featurepage"+Htmlfeature[0]).innerHTML = Htmlfeature[1];
			var Url="admin_htmlfeatureajax.asp?id="+Htmlfeature[0]+"&page="+Htmlfeature[1];
			featurehtml(Url);
			}
}

function featurehtml(Urlx)
{
var ajax=new AJAXRequest({
		url: Urlx,
		method: "GET",
		oncomplete: featurecallback,
		charset: "GB2312"
	});
ajax.get();
}

function moviecallback(obj) {
			var MovieHtmlNum = obj.responseText;
			if(MovieHtmlNum){
			MovieHtmlNum=MovieHtmlNum.split('|');
			if(MovieHtmlNum[0]==0 && MovieHtmlNum[1]==0){
			document.getElementById("refreshlentext").style.width = "100%";
			document.getElementById("refreshlentext").innerHTML = "100%";
			}else{
			document.getElementById("refreshlentext").style.width = (MovieHtmlNum[0]/MovieHtmlNum[1])*100+"%";
			document.getElementById("refreshlentext").innerHTML = (MovieHtmlNum[0]/MovieHtmlNum[1])*100+"%";
			}
			document.getElementById("moviehtmlnum").innerHTML = MovieHtmlNum[0];
			document.getElementById("movienum").innerHTML = MovieHtmlNum[1];
			if (parseInt(MovieHtmlNum) < parseInt(MovieHtmlNum[1]))
			{
			moviehtml(MovieHtmlNum[0]);
			}else{
			moviehtml("");
			}
			}
}
function moviehtml(MovieHtmlNum)
{
var ajax=new AJAXRequest({
		url: "admin_htmlmovieajax.asp?moviehtmlnum="+MovieHtmlNum,
		method: "GET",
		oncomplete: moviecallback,
		charset: "GB2312"
	});
ajax.get();
}

function indexcallback(obj) {
			if(obj.responseText){
			document.getElementById("refreshlentext").style.width = "100%";
			document.getElementById("refreshlentext").innerHTML = "100%";
			document.getElementById("htmltext").innerHTML = "首页生成成功";
			}
}
function indexhtml()
{
var ajax=new AJAXRequest({
		url: "admin_htmlindexajax.asp",
		method: "GET",
		oncomplete: indexcallback,
		charset: "GB2312"
	});
ajax.get();
}

function allmoviecallback(obj) {
			if(obj.responseText){
			document.getElementById("refreshlentext").style.width = "100%";
			document.getElementById("refreshlentext").innerHTML = "100%";
			document.getElementById("htmltext").innerHTML = "全部影片成功";
			}
}
function allmoviehtml()
{
var ajax=new AJAXRequest({
		url: "admin_htmlallmovieajax.asp",
		method: "GET",
		oncomplete: allmoviecallback,
		charset: "GB2312"
	});
ajax.get();
}

function baidumapback(obj){
			if(obj.responseText){
			document.getElementById("refreshlentext").style.width = "100%";
			document.getElementById("refreshlentext").innerHTML = "100%";
			document.getElementById("htmltext").innerHTML = "百度地图生成成功";
			}
}
function baidumap(){
var ajax=new AJAXRequest({
		url: "admin_sitemapajax.asp?action=baidumap",
		method: "GET",
		oncomplete: baidumapback,
		charset: "GB2312"
	});
ajax.get();
}

function googlemapback(obj){
			if(obj.responseText){
			document.getElementById("refreshlentext").style.width = "100%";
			document.getElementById("refreshlentext").innerHTML = "100%";
			document.getElementById("htmltext").innerHTML = "Google地图生成成功";
			}
}
function googlemap(){
var ajax=new AJAXRequest({
		url: "admin_sitemapajax.asp?action=googlemap",
		method: "GET",
		oncomplete: googlemapback,
		charset: "GB2312"
	});
ajax.get();
}